# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLParamElement Class Reference

Parameters fed to the `OBJECT` element. More...

`#include <html_object.h>`

Inheritance diagram for DOM::HTMLParamElement:

[legend]
Collaboration diagram for DOM::HTMLParamElement:

[legend]
List of all members.

## Public Member Functions

| HTMLParamElement (const HTMLParamElement &other)
| HTMLParamElement (const Node &other)
HTMLParamElement & | operator= (const HTMLParamElement &other)
HTMLParamElement & | operator= (const Node &other)
DOMString | name () const
void | setName (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
DOMString | value () const
void | setValue (const DOMString &)
DOMString | valueType () const
void | setValueType (const DOMString &)

## Protected Member Functions

| HTMLParamElement (HTMLParamElementImpl *impl)

## Detailed Description

Parameters fed to the `OBJECT` element.

See the PARAM element definition in HTML 4.0.

Definition at line 557 of file html_object.h.

## Member Function Documentation

DOMString DOM::HTMLParamElement::name | ( |  | ) | const

| The name of a run-time parameter. See the name attribute definition in HTML 4.0.

void DOM::HTMLParamElement::setName | ( | const DOMString & |  | ) |

| see name

DOMString DOM::HTMLParamElement::type | ( |  | ) | const

| Content type for the `value` attribute when `valuetype` has the value "ref". See the type attribute definition in HTML 4.0.

void DOM::HTMLParamElement::setType | ( | const DOMString & |  | ) |

| see type

DOMString DOM::HTMLParamElement::value | ( |  | ) | const

| The value of a run-time parameter. See the value attribute definition in HTML 4.0.

void DOM::HTMLParamElement::setValue | ( | const DOMString & |  | ) |

| see value

DOMString DOM::HTMLParamElement::valueType | ( |  | ) | const

| Information about the meaning of the `value` attribute value. See the valuetype attribute definition in HTML 4.0.

void DOM::HTMLParamElement::setValueType | ( | const DOMString & |  | ) |

| see valueType

The documentation for this class was generated from the following file:

- html_object.h

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003